check.whatmap {kohonen} | R Documentation

## Check the validity of a whatmap argument

### Description

Not meant to be called directly by the user.

### Usage

    check.whatmap(x, whatmap)

### Arguments

`x` | A `kohonen` object, or a list of data matrices that can be used as input data for SOM functions.
`whatmap` | An indication of a subset of the data; either by naming the elements, or giving indices. If `whatmap` equals NULL, the selection of `x` is used if `x` is a `kohonen` object, or else no selection is performed.

### Value

Returns a numerical vector with the indices of the selected layers. An invalid selection leads to an error.

### Author(s)

Ron Wehrens

[Package kohonen version 3.0.5 Index]